#include <string>
#include <cwchar>

/*
 * Generate UTF-8
 */
const std::string toUTF8(const std::wstring& s);

/*
 * Generate ISO-8859-1
 * Fallback to ISO-2022-JP
 * Fallback to UTF-8
 *
 */
const std::string toLatin1(const std::wstring& s);

/*
 * Read UTF8
 * Fallback to ISO-8859-1
 */
const std::wstring fromUTF8(const std::string& s);

/*
 * Read ISO-2022-JP
 * Fallback to SHIFTJIS
 * Fallback to UTF-8
 * Fallback to ISO-8859-1
 */
const std::wstring fromLatin1(const std::string& s);

